import { Box, Card, CardContent, FormControl, FormHelperText, MenuItem, Select, SelectChangeEvent, Typography } from "@mui/material";
import { useState } from "react";

// this is a single sorting helper-component, only for design purposes
export default function Sort() {
    const [select, setSelct] = useState('');

    const handleChange = (event: SelectChangeEvent) => {
        setSelct(event.target.value);
    };

    return (
        <Box sx={{ position: 'sticky', top: 0 }}>
            <Card variant="outlined" >
                <CardContent>
                    <Typography>Filter</Typography>

                    <FormControl fullWidth>
                        <FormHelperText>Sorty By</FormHelperText>
                        <Select
                            value={select}
                            onChange={handleChange}
                            displayEmpty
                            inputProps={{ 'aria-label': 'Without label' }}
                        >
                            <MenuItem value="">
                                <em>Any</em>
                            </MenuItem>
                            <MenuItem value={1}>Rating</MenuItem>
                            <MenuItem value={2}>Release Date</MenuItem>
                        </Select>
                    </FormControl>
                </CardContent>
            </Card>
        </Box>
    )
}